import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { ComponentPagination, Notifier, RestService } from '@app/core';
import { InstanceFollowService } from '@app/shared/shared-instance';
export declare class AboutFollowsComponent implements OnInit {
    private restService;
    private notifier;
    private followService;
    followers: string[];
    followings: string[];
    loadedAllFollowers: boolean;
    loadedAllFollowings: boolean;
    followersPagination: ComponentPagination;
    followingsPagination: ComponentPagination;
    sort: SortMeta;
    constructor(restService: RestService, notifier: Notifier, followService: InstanceFollowService);
    ngOnInit(): void;
    loadAllFollowings(): void;
    loadAllFollowers(): void;
    buildLink(host: string): string;
    canLoadMoreFollowers(): boolean;
    canLoadMoreFollowings(): boolean;
    private loadMoreFollowers;
    private loadMoreFollowings;
}
