import { OnInit } from '@angular/core';
import { AuthService, ScreenService } from '@app/core';
import { ListOverflowItem } from '@app/shared/shared-main';
import { TopMenuDropdownParam } from '@app/shared/shared-main/misc/top-menu-dropdown.component';
export declare class AdminComponent implements OnInit {
    private auth;
    private screen;
    items: ListOverflowItem[];
    menuEntries: TopMenuDropdownParam[];
    constructor(auth: AuthService, screen: ScreenService);
    get isBroadcastMessageDisplayed(): boolean;
    ngOnInit(): void;
    private buildOverviewItems;
    private buildFederationItems;
    private buildModerationItems;
    private buildConfigurationItems;
    private buildPluginItems;
    private buildSystemItems;
    private hasUsersRight;
    private hasServerFollowRight;
    private hasAbusesRight;
    private hasVideoBlocklistRight;
    private hasAccountsBlocklistRight;
    private hasServersBlocklistRight;
    private hasConfigRight;
    private hasPluginsRight;
    private hasLogsRight;
    private hasJobsRight;
    private hasDebugRight;
    private hasVideoCommentsRight;
    private hasVideosRight;
}
