import { HttpClient } from '@angular/common/http';
import { RestExtractor } from '@app/core';
import { CustomConfig } from '@shared/models';
import { SelectOptionsItem } from '../../../../types/select-options-item.model';
export declare class ConfigService {
    private authHttp;
    private restExtractor;
    private static BASE_APPLICATION_URL;
    videoQuotaOptions: SelectOptionsItem[];
    videoQuotaDailyOptions: SelectOptionsItem[];
    transcodingThreadOptions: SelectOptionsItem[];
    constructor(authHttp: HttpClient, restExtractor: RestExtractor);
    getCustomConfig(): import("rxjs").Observable<CustomConfig>;
    updateCustomConfig(data: CustomConfig): import("rxjs").Observable<CustomConfig>;
}
