import { EventEmitter, OnInit } from '@angular/core';
import { Notifier } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { InstanceFollowService } from '@app/shared/shared-instance';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
export declare class FollowModalComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private modalService;
    private followService;
    private notifier;
    modal: NgbModal;
    newFollow: EventEmitter<void>;
    placeholder: string;
    private openedModal;
    constructor(formValidatorService: FormValidatorService, modalService: NgbModal, followService: InstanceFollowService, notifier: Notifier);
    ngOnInit(): void;
    openModal(): void;
    hide(): void;
    submit(): void;
    httpEnabled(): boolean;
    private addFollowing;
}
