import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ConfigService } from '@app/+admin/config/shared/config.service';
import { AuthService, Notifier, ScreenService, ServerService, UserService } from '@app/core';
import { FormValidatorService } from '@app/shared/shared-forms';
import { UserEdit } from './user-edit';
export declare class UserCreateComponent extends UserEdit implements OnInit {
    protected serverService: ServerService;
    protected formValidatorService: FormValidatorService;
    protected configService: ConfigService;
    protected screenService: ScreenService;
    protected auth: AuthService;
    private router;
    private notifier;
    private userService;
    error: string;
    constructor(serverService: ServerService, formValidatorService: FormValidatorService, configService: ConfigService, screenService: ScreenService, auth: AuthService, router: Router, notifier: Notifier, userService: UserService);
    ngOnInit(): void;
    formValidated(): void;
    isCreation(): boolean;
    isPasswordOptional(): boolean;
    getFormButtonTitle(): string;
}
