import { OnInit } from '@angular/core';
import { Notifier, UserService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
export declare class UserPasswordComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private notifier;
    private userService;
    error: string;
    username: string;
    showPassword: boolean;
    userId: number;
    constructor(formValidatorService: FormValidatorService, notifier: Notifier, userService: UserService);
    ngOnInit(): void;
    formValidated(): void;
    togglePasswordVisibility(): void;
    getFormButtonTitle(): string;
}
