import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ConfigService } from '@app/+admin/config/shared/config.service';
import { AuthService, Notifier, ScreenService, ServerService, UserService } from '@app/core';
import { FormValidatorService } from '@app/shared/shared-forms';
import { UserEdit } from './user-edit';
export declare class UserUpdateComponent extends UserEdit implements OnInit, OnDestroy {
    protected formValidatorService: FormValidatorService;
    protected serverService: ServerService;
    protected configService: ConfigService;
    protected screenService: ScreenService;
    protected auth: AuthService;
    private route;
    private router;
    private notifier;
    private userService;
    error: string;
    private paramsSub;
    constructor(formValidatorService: FormValidatorService, serverService: ServerService, configService: ConfigService, screenService: ScreenService, auth: AuthService, route: ActivatedRoute, router: Router, notifier: Notifier, userService: UserService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    formValidated(): void;
    isCreation(): boolean;
    isPasswordOptional(): boolean;
    getFormButtonTitle(): string;
    resetPassword(): void;
    private onUserFetched;
}
