import { OnInit } from '@angular/core';
import { AuthService, ConfirmService, Notifier, ScopedTokensService } from '@app/core';
import { VideoService } from '@app/shared/shared-main';
export declare class MyAccountApplicationsComponent implements OnInit {
    private authService;
    private scopedTokensService;
    private videoService;
    private notifier;
    private confirmService;
    feedUrl: string;
    feedToken: string;
    private baseURL;
    constructor(authService: AuthService, scopedTokensService: ScopedTokensService, videoService: VideoService, notifier: Notifier, confirmService: ConfirmService);
    ngOnInit(): void;
    renewToken(): Promise<void>;
    private regenApplications;
}
