import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService, Notifier } from '@app/core';
import { FormValidatorService } from '@app/shared/shared-forms';
import { VideoChannel, VideoChannelService } from '@app/shared/shared-main';
import { MyVideoChannelEdit } from './my-video-channel-edit';
export declare class MyVideoChannelCreateComponent extends MyVideoChannelEdit implements OnInit {
    protected formValidatorService: FormValidatorService;
    private authService;
    private notifier;
    private router;
    private videoChannelService;
    error: string;
    videoChannel: VideoChannel;
    private avatar;
    private banner;
    constructor(formValidatorService: FormValidatorService, authService: AuthService, notifier: Notifier, router: Router, videoChannelService: VideoChannelService);
    ngOnInit(): void;
    formValidated(): void;
    onAvatarChange(formData: FormData): void;
    onAvatarDelete(): void;
    onBannerChange(formData: FormData): void;
    onBannerDelete(): void;
    isCreation(): boolean;
    getFormButtonTitle(): string;
    getUsername(): any;
    private uploadAvatar;
    private uploadBanner;
}
