import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, Notifier, ServerService } from '@app/core';
import { FormValidatorService } from '@app/shared/shared-forms';
import { VideoChannel, VideoChannelService } from '@app/shared/shared-main';
import { MyVideoChannelEdit } from './my-video-channel-edit';
export declare class MyVideoChannelUpdateComponent extends MyVideoChannelEdit implements OnInit, OnDestroy {
    protected formValidatorService: FormValidatorService;
    private authService;
    private notifier;
    private router;
    private route;
    private videoChannelService;
    private serverService;
    error: string;
    videoChannel: VideoChannel;
    private paramsSub;
    private oldSupportField;
    private serverConfig;
    constructor(formValidatorService: FormValidatorService, authService: AuthService, notifier: Notifier, router: Router, route: ActivatedRoute, videoChannelService: VideoChannelService, serverService: ServerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    formValidated(): void;
    onAvatarChange(formData: FormData): void;
    onAvatarDelete(): void;
    onBannerChange(formData: FormData): void;
    onBannerDelete(): void;
    get maxAvatarSize(): number;
    get avatarExtensions(): string;
    isCreation(): boolean;
    getFormButtonTitle(): string;
    isBulkUpdateVideosDisplayed(): boolean;
}
