import { Subject } from 'rxjs';
import { OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { AuthService, ComponentPagination, Notifier } from '@app/core';
import { AdvancedInputFilter } from '@app/shared/shared-forms';
import { UserSubscriptionService } from '@app/shared/shared-user-subscription';
import { ActorFollow } from '@shared/models';
export declare class MyFollowersComponent implements OnInit {
    private route;
    private auth;
    private userSubscriptionService;
    private notifier;
    follows: ActorFollow[];
    pagination: ComponentPagination;
    onDataSubject: Subject<any[]>;
    search: string;
    inputFilters: AdvancedInputFilter[];
    constructor(route: ActivatedRoute, auth: AuthService, userSubscriptionService: UserSubscriptionService, notifier: Notifier);
    ngOnInit(): void;
    onNearOfBottom(): void;
    onSearch(search: string): void;
    isFollowingAccount(follow: ActorFollow): boolean;
    private loadFollowers;
    private getUsername;
}
