import { OnInit } from '@angular/core';
import { AuthService, AuthUser, ScreenService, ServerService } from '@app/core';
import { TopMenuDropdownParam } from '../shared/shared-main/misc/top-menu-dropdown.component';
export declare class MyLibraryComponent implements OnInit {
    private serverService;
    private authService;
    private screenService;
    menuEntries: TopMenuDropdownParam[];
    user: AuthUser;
    private serverConfig;
    constructor(serverService: ServerService, authService: AuthService, screenService: ScreenService);
    get isBroadcastMessageDisplayed(): boolean;
    ngOnInit(): void;
    isVideoImportEnabled(): boolean;
    private buildMenu;
}
