import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { Notifier, RestPagination, RestTable } from '@app/core';
import { VideoOwnershipService } from '@app/shared/shared-main';
import { VideoChangeOwnership, VideoChangeOwnershipStatus } from '@shared/models';
import { MyAcceptOwnershipComponent } from './my-accept-ownership/my-accept-ownership.component';
export declare class MyOwnershipComponent extends RestTable implements OnInit {
    private notifier;
    private videoOwnershipService;
    videoChangeOwnerships: VideoChangeOwnership[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    myAccountAcceptOwnershipComponent: MyAcceptOwnershipComponent;
    constructor(notifier: Notifier, videoOwnershipService: VideoOwnershipService);
    ngOnInit(): void;
    getIdentifier(): string;
    getStatusClass(status: VideoChangeOwnershipStatus): "badge-green" | "badge-red" | "badge-yellow";
    openAcceptModal(videoChangeOwnership: VideoChangeOwnership): void;
    accepted(): void;
    refuse(videoChangeOwnership: VideoChangeOwnership): void;
    protected reloadData(): import("rxjs").Subscription;
}
