import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService, Notifier, ServerService } from '@app/core';
import { FormValidatorService } from '@app/shared/shared-forms';
import { VideoPlaylistService } from '@app/shared/shared-video-playlist';
import { MyVideoPlaylistEdit } from './my-video-playlist-edit';
export declare class MyVideoPlaylistCreateComponent extends MyVideoPlaylistEdit implements OnInit {
    protected formValidatorService: FormValidatorService;
    private authService;
    private notifier;
    private router;
    private videoPlaylistService;
    private serverService;
    error: string;
    constructor(formValidatorService: FormValidatorService, authService: AuthService, notifier: Notifier, router: Router, videoPlaylistService: VideoPlaylistService, serverService: ServerService);
    ngOnInit(): void;
    formValidated(): void;
    isCreation(): boolean;
    getFormButtonTitle(): string;
}
