import { Subject } from 'rxjs';
import { AuthService, ComponentPagination, ConfirmService, Notifier } from '@app/core';
import { VideoPlaylist, VideoPlaylistService } from '@app/shared/shared-video-playlist';
export declare class MyVideoPlaylistsComponent {
    private authService;
    private notifier;
    private confirmService;
    private videoPlaylistService;
    videoPlaylists: VideoPlaylist[];
    pagination: ComponentPagination;
    onDataSubject: Subject<any[]>;
    search: string;
    constructor(authService: AuthService, notifier: Notifier, confirmService: ConfirmService, videoPlaylistService: VideoPlaylistService);
    deleteVideoPlaylist(videoPlaylist: VideoPlaylist): Promise<void>;
    isRegularPlaylist(playlist: VideoPlaylist): boolean;
    onNearOfBottom(): void;
    onSearch(search: string): void;
    private loadVideoPlaylists;
}
