import { ElementRef, OnInit } from '@angular/core';
import { Notifier, UserService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { Video, VideoOwnershipService } from '@app/shared/shared-main';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
export declare class VideoChangeOwnershipComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private videoOwnershipService;
    private notifier;
    private userService;
    private modalService;
    modal: ElementRef;
    usernamePropositions: string[];
    error: string;
    private video;
    constructor(formValidatorService: FormValidatorService, videoOwnershipService: VideoOwnershipService, notifier: Notifier, userService: UserService, modalService: NgbModal);
    ngOnInit(): void;
    show(video: Video): void;
    search(event: {
        query: string;
    }): void;
    changeOwnership(): void;
}
