import { Observable } from 'rxjs';
import { ActivatedRouteSnapshot, Resolve, Router } from '@angular/router';
import { ResultList } from '@shared/models';
export declare abstract class AbstractLazyLoadResolver<T> implements Resolve<any> {
    protected router: Router;
    resolve(route: ActivatedRouteSnapshot): Promise<boolean> | Observable<Promise<boolean>>;
    protected abstract finder(url: string): Observable<ResultList<T>>;
    protected abstract buildUrl(e: T): string;
}
