import { Router } from '@angular/router';
import { VideoChannel } from '@app/shared/shared-main';
import { SearchService } from '@app/shared/shared-search';
import { AbstractLazyLoadResolver } from './abstract-lazy-load.resolver';
export declare class ChannelLazyLoadResolver extends AbstractLazyLoadResolver<VideoChannel> {
    protected router: Router;
    private searchService;
    constructor(router: Router, searchService: SearchService);
    protected finder(url: string): import("rxjs").Observable<import("@shared/models/common").ResultList<VideoChannel>>;
    protected buildUrl(channel: VideoChannel): string;
}
