import { OnInit } from '@angular/core';
import { Notifier, RedirectService, ServerService, UserService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
export declare class VerifyAccountAskSendEmailComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private userService;
    private serverService;
    private notifier;
    private redirectService;
    requiresEmailVerification: boolean;
    constructor(formValidatorService: FormValidatorService, userService: UserService, serverService: ServerService, notifier: Notifier, redirectService: RedirectService);
    ngOnInit(): void;
    askSendVerifyEmail(): void;
}
