import { Subject } from 'rxjs';
import { OnDestroy, OnInit } from '@angular/core';
import { ComponentPagination, ScreenService } from '@app/core';
import { VideoChannelService } from '@app/shared/shared-main';
import { VideoPlaylist, VideoPlaylistService } from '@app/shared/shared-video-playlist';
export declare class VideoChannelPlaylistsComponent implements OnInit, OnDestroy {
    private videoPlaylistService;
    private videoChannelService;
    private screenService;
    videoPlaylists: VideoPlaylist[];
    pagination: ComponentPagination;
    onDataSubject: Subject<any[]>;
    private videoChannelSub;
    private videoChannel;
    constructor(videoPlaylistService: VideoPlaylistService, videoChannelService: VideoChannelService, screenService: ScreenService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onNearOfBottom(): void;
    displayAsRow(): boolean;
    private loadVideoPlaylists;
}
