import { Hotkey, HotkeysService } from 'angular2-hotkeys';
import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { AuthService, MarkdownService, Notifier, RestExtractor, ScreenService } from '@app/core';
import { ListOverflowItem, VideoChannel, VideoChannelService, VideoService } from '@app/shared/shared-main';
import { SupportModalComponent } from '@app/shared/shared-support-modal';
import { SubscribeButtonComponent } from '@app/shared/shared-user-subscription';
export declare class VideoChannelsComponent implements OnInit, OnDestroy {
    private route;
    private notifier;
    private authService;
    private videoChannelService;
    private videoService;
    private restExtractor;
    private hotkeysService;
    private screenService;
    private markdown;
    subscribeButton: SubscribeButtonComponent;
    supportModal: SupportModalComponent;
    videoChannel: VideoChannel;
    hotkeys: Hotkey[];
    links: ListOverflowItem[];
    isChannelManageable: boolean;
    channelVideosCount: number;
    ownerDescriptionHTML: string;
    channelDescriptionHTML: string;
    channelDescriptionExpanded: boolean;
    private routeSub;
    constructor(route: ActivatedRoute, notifier: Notifier, authService: AuthService, videoChannelService: VideoChannelService, videoService: VideoService, restExtractor: RestExtractor, hotkeysService: HotkeysService, screenService: ScreenService, markdown: MarkdownService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    isInSmallView(): boolean;
    isUserLoggedIn(): boolean;
    isManageable(): boolean;
    activateCopiedMessage(): void;
    hasShowMoreDescription(): boolean;
    showSupportModal(): void;
    getAccountUrl(): string[];
    private loadChannelVideosCount;
}
