import { UploaderX } from 'ngx-uploadx';
/**
 * multipart/form-data uploader extending the UploaderX implementation of Google Resumable
 * for use with multer
 *
 * @see https://github.com/kukhariev/ngx-uploadx/blob/637e258fe366b8095203f387a6101a230ee4f8e6/src/uploadx/lib/uploaderx.ts
 * @example
 *
 *   options: UploadxOptions = {
 *     uploaderClass: UploaderXFormData
 *   };
 */
export declare class UploaderXFormData extends UploaderX {
    getFileUrl(): Promise<string>;
}
