import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { AuthService } from '@app/core';
import { VideoCaptionService, VideoDetails, VideoService } from '@app/shared/shared-main';
import { LiveVideoService } from '@app/shared/shared-video-live';
export declare class VideoUpdateResolver implements Resolve<any> {
    private videoService;
    private liveVideoService;
    private authService;
    private videoCaptionService;
    constructor(videoService: VideoService, liveVideoService: LiveVideoService, authService: AuthService, videoCaptionService: VideoCaptionService);
    resolve(route: ActivatedRouteSnapshot): import("rxjs").Observable<{
        video: import("@shared/models/videos").LiveVideo | import("../../../types").SelectChannelItem[] | import("@shared/models/videos").VideoCaption[] | (VideoDetails & {
            description: string;
        });
        videoChannels: import("@shared/models/videos").LiveVideo | import("../../../types").SelectChannelItem[] | import("@shared/models/videos").VideoCaption[] | (VideoDetails & {
            description: string;
        });
        videoCaptions: import("@shared/models/videos").LiveVideo | import("../../../types").SelectChannelItem[] | import("@shared/models/videos").VideoCaption[] | (VideoDetails & {
            description: string;
        });
        liveVideo: import("@shared/models/videos").LiveVideo | import("../../../types").SelectChannelItem[] | import("@shared/models/videos").VideoCaption[] | (VideoDetails & {
            description: string;
        });
    }>;
    private buildVideoObservables;
}
