import { Observable } from 'rxjs';
import { Video } from '@app/shared/shared-main';
import { RecommendationInfo } from './recommendation-info.model';
import { RecommendationService } from './recommendations.service';
/**
 * This store is intended to provide data for the RecommendedVideosComponent.
 */
export declare class RecommendedVideosStore {
    private recommendations;
    readonly recommendations$: Observable<Video[]>;
    readonly hasRecommendations$: Observable<boolean>;
    private readonly requestsForLoad$$;
    constructor(recommendations: RecommendationService);
    requestNewRecommendations(recommend: RecommendationInfo): void;
}
