import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, ServerService } from '@app/core';
import { VideoService } from '@app/shared/shared-main';
import { VideosOverview } from './videos-overview.model';
export declare class OverviewService {
    private authHttp;
    private restExtractor;
    private videosService;
    private serverService;
    static BASE_OVERVIEW_URL: string;
    constructor(authHttp: HttpClient, restExtractor: RestExtractor, videosService: VideoService, serverService: ServerService);
    getVideosOverview(page: number): Observable<VideosOverview>;
    private updateVideosOverview;
}
