import { HtmlRendererService } from './html-renderer.service';
export declare class MarkdownService {
    private htmlRenderer;
    private markdownParsers;
    private parsersConfig;
    private emojiModule;
    constructor(htmlRenderer: HtmlRendererService);
    textMarkdownToHTML(markdown: string, withHtml?: boolean, withEmoji?: boolean): Promise<string>;
    enhancedMarkdownToHTML(markdown: string, withHtml?: boolean, withEmoji?: boolean): Promise<string>;
    unsafeMarkdownToHTML(markdown: string, _trustedInput: true): Promise<string>;
    customPageMarkdownToHTML(markdown: string, additionalAllowedTags: string[]): Promise<string>;
    processVideoTimestamps(videoShortUUID: string, html: string): string;
    private render;
    private createMarkdownIt;
    private setTargetToLinks;
    private avoidTruncatedTags;
}
