import { ActivatedRouteSnapshot, DetachedRouteHandle, RouteReuseStrategy } from '@angular/router';
export declare class CustomReuseStrategy implements RouteReuseStrategy {
    storedRouteHandles: Map<string, DetachedRouteHandle>;
    recentlyUsed: string;
    private readonly MAX_SIZE;
    shouldDetach(route: ActivatedRouteSnapshot): boolean;
    store(route: ActivatedRouteSnapshot, handle: DetachedRouteHandle): void;
    shouldAttach(route: ActivatedRouteSnapshot): boolean;
    retrieve(route: ActivatedRouteSnapshot): DetachedRouteHandle;
    shouldReuseRoute(future: ActivatedRouteSnapshot, curr: ActivatedRouteSnapshot): boolean;
    private gb;
    private generateKey;
    private isReuseEnabled;
}
