import { Meta, Title } from '@angular/platform-browser';
import { ServerService } from '../server';
export interface MetaSettings {
    title?: string;
}
export declare class MetaService {
    private titleService;
    private meta;
    private server;
    private config;
    constructor(titleService: Title, meta: Meta, server: ServerService);
    setTitle(subTitle?: string): void;
    setTag(name: string, value: string): void;
    update(meta: MetaSettings): void;
}
