import { HttpClient } from '@angular/common/http';
import { ScopedToken } from '@shared/models/users/user-scoped-token';
import { RestExtractor } from '../rest';
export declare class ScopedTokensService {
    private authHttp;
    private restExtractor;
    private static BASE_SCOPED_TOKENS_URL;
    constructor(authHttp: HttpClient, restExtractor: RestExtractor);
    getScopedTokens(): import("rxjs").Observable<ScopedToken>;
    renewScopedTokens(): import("rxjs").Observable<ScopedToken>;
}
