import { ListKeyManagerOption } from '@angular/cdk/a11y';
import { OnInit } from '@angular/core';
import { RouterLink } from '@angular/router';
export declare type SuggestionPayload = {
    text: string;
    type: SuggestionPayloadType;
    routerLink?: RouterLink;
    default: boolean;
};
export declare type SuggestionPayloadType = 'search-instance' | 'search-index';
export declare class SuggestionComponent implements OnInit, ListKeyManagerOption {
    result: SuggestionPayload;
    highlight: string;
    disabled: boolean;
    active: boolean;
    getLabel(): string;
    ngOnInit(): void;
}
