import { Observable } from 'rxjs';
declare function buildBulkObservable<P extends number | string, R>(options: {
    notifierObservable: Observable<P>;
    time: number;
    bulkGet: (params: P[]) => Observable<R>;
}): Observable<{
    params: P[];
    response: R;
}>;
export { buildBulkObservable };
