import { ElementRef } from '@angular/core';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
export declare class LanguageChooserComponent {
    private modalService;
    private localeId;
    modal: ElementRef;
    languages: {
        id: string;
        label: string;
        iso: string;
    }[];
    constructor(modalService: NgbModal, localeId: string);
    show(): void;
    buildLanguageLink(lang: {
        id: string;
    }): string;
    getCurrentLanguage(): any;
}
