import { ElementRef, OnInit } from '@angular/core';
import { ConfirmService } from '@app/core/confirm/confirm.service';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
export declare class ConfirmComponent implements OnInit {
    private modalService;
    private confirmService;
    confirmModal: ElementRef;
    title: string;
    message: string;
    expectedInputValue: string;
    inputLabel: string;
    inputValue: string;
    confirmButtonText: string;
    private openedModal;
    constructor(modalService: NgbModal, confirmService: ConfirmService);
    ngOnInit(): void;
    confirm(): void;
    isConfirmationDisabled(): boolean;
    showModal(): void;
}
