import { ElementRef } from '@angular/core';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
export declare class CustomModalComponent {
    private modalService;
    modal: ElementRef;
    title: string;
    content: string;
    close?: boolean;
    cancel?: {
        value: string;
        action?: () => void;
    };
    confirm?: {
        value: string;
        action?: () => void;
    };
    private modalRef;
    constructor(modalService: NgbModal);
    show(input: {
        title: string;
        content: string;
        close?: boolean;
        cancel?: {
            value: string;
            action?: () => void;
        };
        confirm?: {
            value: string;
            action?: () => void;
        };
    }): void;
    onCancelClick(): void;
    onCloseClick(): void;
    onConfirmClick(): void;
    hasCancel(): boolean;
    hasConfirm(): boolean;
    private destroy;
}
