import { ReplaySubject } from 'rxjs';
import { OnInit } from '@angular/core';
import { AuthService, LocalStorageService, User, UserService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
export declare class QuickSettingsModalComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private modalService;
    private userService;
    private authService;
    private localStorageService;
    modal: NgbModal;
    user: User;
    userInformationLoaded: ReplaySubject<boolean>;
    private openedModal;
    constructor(formValidatorService: FormValidatorService, modalService: NgbModal, userService: UserService, authService: AuthService, localStorageService: LocalStorageService);
    ngOnInit(): void;
    isUserLoggedIn(): boolean;
    show(): void;
    hide(): void;
}
