import { BuildFormValidator } from './form-validator.model';
export declare const USER_USERNAME_REGEX_CHARACTERS = "[a-z0-9][a-z0-9._]";
export declare const USER_USERNAME_VALIDATOR: BuildFormValidator;
export declare const USER_CHANNEL_NAME_VALIDATOR: BuildFormValidator;
export declare const USER_EMAIL_VALIDATOR: BuildFormValidator;
export declare const USER_HANDLE_VALIDATOR: BuildFormValidator;
export declare const USER_EXISTING_PASSWORD_VALIDATOR: BuildFormValidator;
export declare const USER_PASSWORD_VALIDATOR: BuildFormValidator;
export declare const USER_PASSWORD_OPTIONAL_VALIDATOR: BuildFormValidator;
export declare const USER_CONFIRM_PASSWORD_VALIDATOR: BuildFormValidator;
export declare const USER_VIDEO_QUOTA_VALIDATOR: BuildFormValidator;
export declare const USER_VIDEO_QUOTA_DAILY_VALIDATOR: BuildFormValidator;
export declare const USER_ROLE_VALIDATOR: BuildFormValidator;
export declare const USER_DISPLAY_NAME_REQUIRED_VALIDATOR: {
    VALIDATORS: import("@angular/forms").ValidatorFn[];
    MESSAGES: {
        required: string;
        minlength: string;
        maxlength: string;
    };
};
export declare const USER_DESCRIPTION_VALIDATOR: BuildFormValidator;
export declare const USER_TERMS_VALIDATOR: BuildFormValidator;
export declare const USER_BAN_REASON_VALIDATOR: BuildFormValidator;
