import { MarkdownService } from '@app/core';
import { DynamicElementService } from './dynamic-element.service';
export declare class CustomMarkupService {
    private dynamicElementService;
    private markdown;
    private angularBuilders;
    private htmlBuilders;
    private customMarkdownRenderer;
    constructor(dynamicElementService: DynamicElementService, markdown: MarkdownService);
    getCustomMarkdownRenderer(): (text: string) => Promise<HTMLElement>;
    buildElement(text: string): Promise<{
        rootElement: HTMLDivElement;
        componentsLoaded: Promise<boolean[]>;
    }>;
    private getSupportedTags;
    private execHTMLBuilder;
    private execAngularBuilder;
    private embedBuilder;
    private playlistMiniatureBuilder;
    private channelMiniatureBuilder;
    private buttonBuilder;
    private videoMiniatureBuilder;
    private videosListBuilder;
    private containerBuilder;
    private buildNumber;
    private buildBoolean;
    private buildArrayNumber;
    private buildArrayString;
}
