import { ApplicationRef, ComponentFactoryResolver, ComponentRef, Injector, Type } from '@angular/core';
export declare class DynamicElementService {
    private injector;
    private applicationRef;
    private componentFactoryResolver;
    constructor(injector: Injector, applicationRef: ApplicationRef, componentFactoryResolver: ComponentFactoryResolver);
    createElement<T>(ofComponent: Type<T>): ComponentRef<T>;
    injectElement<T>(wrapper: HTMLElement, componentRef: ComponentRef<T>): void;
    setModel<T>(componentRef: ComponentRef<T>, attributes: Partial<T>): void;
}
