import { EventEmitter, OnInit } from '@angular/core';
import { Notifier } from '@app/core';
import { FindInBulkService } from '@app/shared/shared-search';
import { MiniatureDisplayOptions } from '../../shared-video-miniature';
import { VideoPlaylist } from '../../shared-video-playlist';
import { CustomMarkupComponent } from './shared';
export declare class PlaylistMiniatureMarkupComponent implements CustomMarkupComponent, OnInit {
    private findInBulkService;
    private notifier;
    uuid: string;
    loaded: EventEmitter<boolean>;
    playlist: VideoPlaylist;
    displayOptions: MiniatureDisplayOptions;
    constructor(findInBulkService: FindInBulkService, notifier: Notifier);
    ngOnInit(): void;
}
