import { AfterContentInit, ChangeDetectorRef, QueryList, TemplateRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { PeerTubeTemplateDirective } from '@app/shared/shared-main';
export declare class PeertubeCheckboxComponent implements ControlValueAccessor, AfterContentInit {
    private cdr;
    checked: boolean;
    inputName: string;
    labelText: string;
    labelInnerHTML: string;
    helpPlacement: string;
    disabled: boolean;
    recommended: boolean;
    templates: QueryList<PeerTubeTemplateDirective<'label' | 'help'>>;
    onPushWorkaround: boolean;
    labelTemplate: TemplateRef<any>;
    helpTemplate: TemplateRef<any>;
    constructor(cdr: ChangeDetectorRef);
    ngAfterContentInit(): void;
    propagateChange: (_: any) => void;
    writeValue(checked: boolean): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
    onModelChange(): void;
    setDisabledState(isDisabled: boolean): void;
}
