import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { ServerService } from '@app/core';
export declare class PreviewUploadComponent implements OnInit, ControlValueAccessor {
    private serverService;
    inputLabel: string;
    inputName: string;
    previewWidth: string;
    previewHeight: string;
    imageSrc: string;
    allowedExtensionsMessage: string;
    maxSizeText: string;
    private serverConfig;
    private bytesPipe;
    private file;
    constructor(serverService: ServerService);
    get videoImageExtensions(): string[];
    get maxVideoImageSize(): number;
    get maxVideoImageSizeInBytes(): string | number;
    ngOnInit(): void;
    onFileChanged(file: Blob): void;
    propagateChange: (_: any) => void;
    writeValue(file: any): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
    private updatePreview;
}
