import { ControlValueAccessor } from '@angular/forms';
import { Notifier } from '@app/core';
import { SelectOptionsItem } from '../../../../types/select-options-item.model';
import { ItemSelectCheckboxValue } from './select-checkbox.component';
export declare class SelectCheckboxAllComponent implements ControlValueAccessor {
    private notifier;
    availableItems: SelectOptionsItem[];
    allGroupLabel: string;
    placeholder: string;
    maxItems: number;
    selectedItems: ItemSelectCheckboxValue[];
    constructor(notifier: Notifier);
    propagateChange: (_: any) => void;
    writeValue(items: string[]): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
    onModelChange(): void;
    onBlur(): void;
    private isMaxConstraintValid;
    private buildOutputItems;
}
