import { OnChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SelectOptionsItem } from '../../../../types/select-options-item.model';
export declare class SelectCustomValueComponent implements ControlValueAccessor, OnChanges {
    items: SelectOptionsItem[];
    clearable: boolean;
    searchable: boolean;
    groupBy: string;
    labelForId: string;
    inputSuffix: string;
    inputType: string;
    customValue: number | string;
    selectedId: number | string;
    disabled: boolean;
    itemsWithCustom: SelectOptionsItem[];
    ngOnChanges(): void;
    propagateChange: (_: any) => void;
    writeValue(id: number | string): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
    onModelChange(): void;
    isSelectedIdInItems(): boolean;
    getItems(): SelectOptionsItem[];
    isCustomValue(): boolean;
    setDisabledState(isDisabled: boolean): void;
}
