import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { ServerService } from '@app/core';
import { SelectOptionsItem } from '../../../../types/select-options-item.model';
import { ItemSelectCheckboxValue } from './select-checkbox.component';
export declare class SelectLanguagesComponent implements ControlValueAccessor, OnInit {
    private server;
    maxLanguages: number;
    selectedLanguages: ItemSelectCheckboxValue[];
    availableLanguages: SelectOptionsItem[];
    allLanguagesGroup: string;
    private toWrite;
    private loaded;
    constructor(server: ServerService);
    ngOnInit(): void;
    propagateChange: (_: any) => void;
    writeValue(languages: ItemSelectCheckboxValue[]): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
    onModelChange(): void;
}
