import { ControlValueAccessor } from '@angular/forms';
import { SelectOptionsItem } from '../../../../types/select-options-item.model';
export declare class SelectOptionsComponent implements ControlValueAccessor {
    items: SelectOptionsItem[];
    clearable: boolean;
    searchable: boolean;
    groupBy: string;
    labelForId: string;
    searchFn: any;
    selectedId: number | string;
    disabled: boolean;
    propagateChange: (_: any) => void;
    handleChange(event: any): void;
    writeValue(id: number | string): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
    onModelChange(): void;
    setDisabledState(isDisabled: boolean): void;
}
