import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class TimestampInputComponent implements ControlValueAccessor, OnInit {
    private changeDetector;
    maxTimestamp: number;
    timestamp: number;
    disabled: boolean;
    inputBlur: EventEmitter<any>;
    timestampString: string;
    constructor(changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    propagateChange: (_: any) => void;
    writeValue(timestamp: number): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
    onModelChange(): void;
    onBlur(): void;
}
