import { ElementRef, OnInit } from '@angular/core';
import { HooksService } from '@app/core/plugins/hooks.service';
declare const icons: {
    npm: any;
    markdown: any;
    language: any;
    'video-lang': any;
    support: any;
    'peertube-x': any;
    robot: any;
    videos: any;
    history: any;
    subscriptions: any;
    'playlist-add': any;
    follower: any;
    following: any;
    tip: any;
    flame: any;
    local: any;
    flag: any;
    playlists: any;
    syndication: any;
    help: any;
    alert: any;
    globe: any;
    home: any;
    'recently-added': any;
    trending: any;
    search: any;
    upload: any;
    dislike: any;
    like: any;
    no: any;
    'cloud-download': any;
    clock: any;
    cog: any;
    delete: any;
    bell: any;
    'sign-out': any;
    'sign-in': any;
    download: any;
    'ownership-change': any;
    share: any;
    channel: any;
    user: any;
    'user-x': any;
    users: any;
    'user-add': any;
    add: any;
    'cloud-error': any;
    undo: any;
    'circle-tick': any;
    'more-horizontal': any;
    'more-vertical': any;
    play: any;
    p2p: any;
    fullscreen: any;
    'exit-fullscreen': any;
    film: any;
    edit: any;
    sensitive: any;
    unsensitive: any;
    refresh: any;
    command: any;
    go: any;
    cross: any;
    tick: any;
    columns: any;
    live: any;
    repeat: any;
    'chevrons-up': any;
    'message-circle': any;
    codesandbox: any;
    award: any;
};
export declare type GlobalIconName = keyof typeof icons;
export declare class GlobalIconComponent implements OnInit {
    private el;
    private hooks;
    iconName: GlobalIconName;
    constructor(el: ElementRef, hooks: HooksService);
    ngOnInit(): Promise<void>;
    private getSVGContent;
}
export {};
