import { Observable } from 'rxjs';
import { AfterViewChecked, ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { PeerTubeRouterService } from '@app/core';
export declare class InfiniteScrollerDirective implements OnInit, OnDestroy, AfterViewChecked {
    private peertubeRouter;
    private el;
    percentLimit: number;
    onItself: boolean;
    dataObservable: Observable<any[]>;
    setAngularState: boolean;
    parentDisabled: boolean;
    nearOfBottom: EventEmitter<void>;
    private decimalLimit;
    private lastCurrentBottom;
    private scrollDownSub;
    private container;
    private checkScroll;
    constructor(peertubeRouter: PeerTubeRouterService, el: ElementRef);
    ngAfterViewChecked(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    initialize(): void;
    private getScrollInfo;
    private getMaximumScroll;
    private hasScroll;
    private isScrollingDown;
    private setScrollRouteParams;
}
