import { Observable } from 'rxjs';
import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Injector } from '@angular/core';
import { Router } from '@angular/router';
export declare class AuthInterceptor implements HttpInterceptor {
    private injector;
    private router;
    private authService;
    constructor(injector: Injector, router: Router);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    private handleTokenExpired;
    private cloneRequestWithAuth;
    private handleNotAuthenticated;
}
export declare const AUTH_INTERCEPTOR_PROVIDER: {
    provide: import("@angular/core").InjectionToken<HttpInterceptor[]>;
    useClass: typeof AuthInterceptor;
    multi: boolean;
};
