import { HttpClient } from '@angular/common/http';
import { RestExtractor } from '@app/core';
import { CustomPage } from '@shared/models';
export declare class CustomPageService {
    private authHttp;
    private restExtractor;
    static BASE_INSTANCE_HOMEPAGE_URL: string;
    constructor(authHttp: HttpClient, restExtractor: RestExtractor);
    getInstanceHomepage(): import("rxjs").Observable<CustomPage | {
        content: string;
    }>;
    updateInstanceHomepage(content: string): import("rxjs").Observable<boolean>;
}
