import { Subject } from 'rxjs';
import { EventEmitter, OnInit } from '@angular/core';
import { ComponentPagination, Notifier } from '@app/core';
import { UserNotification } from './user-notification.model';
import { UserNotificationService } from './user-notification.service';
export declare class UserNotificationsComponent implements OnInit {
    private userNotificationService;
    private notifier;
    ignoreLoadingBar: boolean;
    infiniteScroll: boolean;
    itemsPerPage: number;
    markAllAsReadSubject: Subject<boolean>;
    notificationsLoaded: EventEmitter<any>;
    notifications: UserNotification[];
    sortField: string;
    componentPagination: ComponentPagination;
    onDataSubject: Subject<any[]>;
    constructor(userNotificationService: UserNotificationService, notifier: Notifier);
    ngOnInit(): void;
    loadNotifications(reset?: boolean): void;
    onNearOfBottom(): void;
    markAsRead(notification: UserNotification): void;
    markAllAsRead(): void;
    changeSortColumn(column: string): void;
    isAccepted(notification: UserNotification): boolean;
}
