import { OnInit } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { Video } from '@shared/models';
export declare class EmbedComponent implements OnInit {
    private sanitizer;
    video: Pick<Video, 'name' | 'uuid'>;
    embedHTML: SafeHtml;
    constructor(sanitizer: DomSanitizer);
    ngOnInit(): void;
}
