import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { Notifier, RestPagination, RestTable } from '@app/core';
import { AccountBlock } from './account-block.model';
import { BlocklistComponentType, BlocklistService } from './blocklist.service';
export declare class GenericAccountBlocklistComponent extends RestTable implements OnInit {
    private notifier;
    private blocklistService;
    abstract mode: BlocklistComponentType;
    blockedAccounts: AccountBlock[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    constructor(notifier: Notifier, blocklistService: BlocklistService);
    abstract getIdentifier(): string;
    ngOnInit(): void;
    unblockAccount(accountBlock: AccountBlock): void;
    protected reloadData(): import("rxjs").Subscription;
}
