import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { Notifier, RestPagination, RestTable } from '@app/core';
import { BatchDomainsModalComponent } from '@app/shared/shared-moderation/batch-domains-modal.component';
import { ServerBlock } from '@shared/models';
import { BlocklistComponentType, BlocklistService } from './blocklist.service';
export declare class GenericServerBlocklistComponent extends RestTable implements OnInit {
    protected notifier: Notifier;
    protected blocklistService: BlocklistService;
    batchDomainsModal: BatchDomainsModalComponent;
    abstract mode: BlocklistComponentType;
    blockedServers: ServerBlock[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    constructor(notifier: Notifier, blocklistService: BlocklistService);
    abstract getIdentifier(): string;
    ngOnInit(): void;
    unblockServer(serverBlock: ServerBlock): void;
    addServersToBlock(): void;
    onDomainsToBlock(domains: string[]): void;
    protected reloadData(): import("rxjs").Subscription;
}
