import { EventEmitter, OnInit } from '@angular/core';
import { Notifier, UserService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { User } from '@shared/models';
export declare class UserBanModalComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private modalService;
    private notifier;
    private userService;
    modal: NgbModal;
    userBanned: EventEmitter<User | User[]>;
    private usersToBan;
    private openedModal;
    constructor(formValidatorService: FormValidatorService, modalService: NgbModal, notifier: Notifier, userService: UserService);
    ngOnInit(): void;
    openModal(user: User | User[]): void;
    hide(): void;
    banUser(): void;
}
