import { EventEmitter, OnInit } from '@angular/core';
import { Notifier } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { Video } from '@app/shared/shared-main';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { VideoBlockService } from './video-block.service';
export declare class VideoBlockComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private modalService;
    private videoBlocklistService;
    private notifier;
    modal: NgbModal;
    videoBlocked: EventEmitter<any>;
    videos: Video[];
    error: string;
    private openedModal;
    constructor(formValidatorService: FormValidatorService, modalService: NgbModal, videoBlocklistService: VideoBlockService, notifier: Notifier);
    ngOnInit(): void;
    isMultiple(): boolean;
    getSingleVideo(): Video;
    hasLive(): boolean;
    hasLocal(): boolean;
    show(videos: Video[]): void;
    hide(): void;
    block(): void;
}
