import { HttpClient } from '@angular/common/http';
import { RestExtractor } from '@app/core';
import { LiveVideo, LiveVideoCreate, LiveVideoUpdate, VideoCreateResult } from '@shared/models';
export declare class LiveVideoService {
    private authHttp;
    private restExtractor;
    static BASE_VIDEO_LIVE_URL: string;
    constructor(authHttp: HttpClient, restExtractor: RestExtractor);
    goLive(video: LiveVideoCreate): import("rxjs").Observable<{
        video: VideoCreateResult;
    }>;
    getVideoLive(videoId: number | string): import("rxjs").Observable<LiveVideo>;
    updateLive(videoId: number | string, liveUpdate: LiveVideoUpdate): import("rxjs").Observable<Object>;
}
