import videojs from 'video.js';
import { PlaylistPluginOptions } from '../peertube-videojs-typings';
import { PlaylistMenu } from './playlist-menu';
declare const ClickableComponent: {
    new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions): videojs.ClickableComponent;
    prototype: videojs.ClickableComponent;
};
declare class PlaylistButton extends ClickableComponent {
    private playlistInfoElement;
    private wrapper;
    constructor(player: videojs.Player, options?: PlaylistPluginOptions & {
        playlistMenu: PlaylistMenu;
    });
    createEl(): HTMLElement;
    update(): void;
    handleClick(): void;
    private getPlaylistMenu;
}
export { PlaylistButton };
