import videojs from 'video.js';
declare const Component: {
    new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions, ready?: videojs.Component.ReadyCallback): videojs.Component;
    prototype: videojs.Component;
    getComponent(name: "button" | "Button"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions): videojs.Button;
        prototype: videojs.Button;
    };
    getComponent(name: "ClickableComponent" | "clickablecomponent"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions): videojs.ClickableComponent;
        prototype: videojs.ClickableComponent;
    };
    getComponent(name: "ModalDialog" | "modaldialog"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ModalDialogOptions): videojs.ModalDialog;
        prototype: videojs.ModalDialog;
    };
    getComponent(name: "menu" | "Menu"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.MenuOptions): videojs.Menu;
        prototype: videojs.Menu;
    };
    getComponent(name: "MenuButton" | "menubutton"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.MenuButtonOptions): videojs.MenuButton;
        prototype: videojs.MenuButton;
    };
    getComponent(name: "MenuItem" | "menuitem"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.MenuItemOptions): videojs.MenuItem;
        prototype: videojs.MenuItem;
    };
    getComponent(name: "MouseTimeDisplay" | "mouseTimeDisplay"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions): videojs.MouseTimeDisplay;
        prototype: videojs.MouseTimeDisplay;
    };
    getComponent(name: "Spacer" | "spacer"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions, ready?: videojs.Component.ReadyCallback): videojs.Spacer;
        prototype: videojs.Spacer;
    };
    getComponent(name: "Player" | "player"): {
        new (player: import("video.js").VideoJsPlayer, options?: import("video.js").VideoJsPlayerOptions): import("video.js").VideoJsPlayer;
        prototype: import("video.js").VideoJsPlayer;
        getTagSettings(tag: Element): any;
    };
    getComponent(name: "timeTooltip" | "TimeTooltip"): {
        new (player: import("video.js").VideoJsPlayer, options?: videojs.ComponentOptions): videojs.TimeToolTip;
        prototype: videojs.TimeToolTip;
    };
    getComponent(name: string): any;
    registerComponent(name: string, ComponentToRegister: any): any;
};
declare class SettingsPanel extends Component {
    createEl(): Element;
}
export { SettingsPanel };
