import { EventHandler } from './definitions';
export declare class EventRegistrar {
    private eventRegistrations;
    bindToChannel(channel: Channel.MessagingChannel): void;
    registerTypes(names: string[]): void;
    fire<T>(name: string, event: T): void;
    addListener<T>(name: string, handler: EventHandler<T>): boolean;
    removeListener<T>(name: string, handler: EventHandler<T>): boolean;
}
