import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { ConfirmService, Notifier, RestPagination, RestTable } from '@app/core';
import { InstanceFollowService } from '@app/shared/shared-instance';
import { ActorFollow } from '@shared/models';
export declare class FollowersListComponent extends RestTable implements OnInit {
    private confirmService;
    private notifier;
    private followService;
    followers: ActorFollow[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    constructor(confirmService: ConfirmService, notifier: Notifier, followService: InstanceFollowService);
    ngOnInit(): void;
    getIdentifier(): string;
    acceptFollower(follow: ActorFollow): void;
    rejectFollower(follow: ActorFollow): Promise<void>;
    deleteFollower(follow: ActorFollow): Promise<void>;
    protected reloadData(): void;
}
