import { SortMeta } from 'primeng/api';
import { OnInit } from '@angular/core';
import { ConfirmService, Notifier, RestPagination, RestTable } from '@app/core';
import { InstanceFollowService } from '@app/shared/shared-instance';
import { ActorFollow } from '@shared/models';
import { FollowModalComponent } from './follow-modal.component';
export declare class FollowingListComponent extends RestTable implements OnInit {
    private notifier;
    private confirmService;
    private followService;
    followModal: FollowModalComponent;
    following: ActorFollow[];
    totalRecords: number;
    sort: SortMeta;
    pagination: RestPagination;
    constructor(notifier: Notifier, confirmService: ConfirmService, followService: InstanceFollowService);
    ngOnInit(): void;
    getIdentifier(): string;
    openFollowModal(): void;
    isInstanceFollowing(follow: ActorFollow): boolean;
    removeFollowing(follow: ActorFollow): Promise<void>;
    protected reloadData(): void;
}
