import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor, RestService } from '@app/core';
import { LogLevel } from '@shared/models';
export declare class LogsService {
    private authHttp;
    private restService;
    private restExtractor;
    private static BASE_LOG_URL;
    private static BASE_AUDIT_LOG_URL;
    constructor(authHttp: HttpClient, restService: RestService, restExtractor: RestExtractor);
    getLogs(options: {
        isAuditLog: boolean;
        startDate: string;
        tagsOneOf?: string[];
        level?: LogLevel;
        endDate?: string;
    }): Observable<any[]>;
}
