import { Subject } from 'rxjs';
import { OnInit } from '@angular/core';
import { Notifier, User, UserService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
export declare class MyAccountProfileComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private notifier;
    private userService;
    user: User;
    userInformationLoaded: Subject<any>;
    error: string;
    constructor(formValidatorService: FormValidatorService, notifier: Notifier, userService: UserService);
    ngOnInit(): void;
    get instanceHost(): string;
    updateMyProfile(): void;
}
