import { ViewportScroller } from '@angular/common';
import { AfterViewChecked, OnInit } from '@angular/core';
import { AuthService, Notifier, User, UserService } from '@app/core';
export declare class MyAccountSettingsComponent implements OnInit, AfterViewChecked {
    private viewportScroller;
    private userService;
    private authService;
    private notifier;
    user: User;
    private lastScrollHash;
    constructor(viewportScroller: ViewportScroller, userService: UserService, authService: AuthService, notifier: Notifier);
    get userInformationLoaded(): import("rxjs").ReplaySubject<boolean>;
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    onAvatarChange(formData: FormData): void;
    onAvatarDelete(): void;
}
