import { Subject } from 'rxjs';
import { ComponentPagination, Notifier } from '@app/core';
import { VideoChannel } from '@app/shared/shared-main';
import { UserSubscriptionService } from '@app/shared/shared-user-subscription';
export declare class MySubscriptionsComponent {
    private userSubscriptionService;
    private notifier;
    videoChannels: VideoChannel[];
    pagination: ComponentPagination;
    onDataSubject: Subject<any[]>;
    search: string;
    constructor(userSubscriptionService: UserSubscriptionService, notifier: Notifier);
    onNearOfBottom(): void;
    onSearch(search: string): void;
    private loadSubscriptions;
}
