import { SelectChannelItem } from 'src/types/select-options-item.model';
import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { AuthService, Notifier } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { VideoOwnershipService } from '@app/shared/shared-main';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { VideoChangeOwnership } from '@shared/models';
export declare class MyAcceptOwnershipComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private videoOwnershipService;
    private notifier;
    private authService;
    private modalService;
    accepted: EventEmitter<void>;
    modal: ElementRef;
    videoChangeOwnership: VideoChangeOwnership | undefined;
    videoChannels: SelectChannelItem[];
    error: string;
    constructor(formValidatorService: FormValidatorService, videoOwnershipService: VideoOwnershipService, notifier: Notifier, authService: AuthService, modalService: NgbModal);
    ngOnInit(): void;
    show(videoChangeOwnership: VideoChangeOwnership): void;
    acceptOwnership(): void;
}
