import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { AuthService, Notifier, ServerService } from '@app/core';
import { FormValidatorService } from '@app/shared/shared-forms';
import { VideoPlaylist, VideoPlaylistService } from '@app/shared/shared-video-playlist';
import { MyVideoPlaylistEdit } from './my-video-playlist-edit';
export declare class MyVideoPlaylistUpdateComponent extends MyVideoPlaylistEdit implements OnInit, OnDestroy {
    protected formValidatorService: FormValidatorService;
    private authService;
    private notifier;
    private router;
    private route;
    private videoPlaylistService;
    private serverService;
    error: string;
    videoPlaylistToUpdate: VideoPlaylist;
    private paramsSub;
    constructor(formValidatorService: FormValidatorService, authService: AuthService, notifier: Notifier, router: Router, route: ActivatedRoute, videoPlaylistService: VideoPlaylistService, serverService: ServerService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    formValidated(): void;
    isCreation(): boolean;
    getFormButtonTitle(): string;
    private hydrateFormFromPlaylist;
}
