import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Notifier, UserService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
export declare class ResetPasswordComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private userService;
    private notifier;
    private router;
    private route;
    private userId;
    private verificationString;
    constructor(formValidatorService: FormValidatorService, userService: UserService, notifier: Notifier, router: Router, route: ActivatedRoute);
    ngOnInit(): void;
    resetPassword(): void;
    isConfirmedPasswordValid(): boolean;
}
