import { Router } from '@angular/router';
import { SearchService } from '@app/shared/shared-search';
import { VideoPlaylist } from '@app/shared/shared-video-playlist';
import { AbstractLazyLoadResolver } from './abstract-lazy-load.resolver';
export declare class PlaylistLazyLoadResolver extends AbstractLazyLoadResolver<VideoPlaylist> {
    protected router: Router;
    private searchService;
    constructor(router: Router, searchService: SearchService);
    protected finder(url: string): import("rxjs").Observable<import("@shared/models/common").ResultList<VideoPlaylist>>;
    protected buildUrl(playlist: VideoPlaylist): string;
}
