import { Router } from '@angular/router';
import { Video } from '@app/shared/shared-main';
import { SearchService } from '@app/shared/shared-search';
import { AbstractLazyLoadResolver } from './abstract-lazy-load.resolver';
export declare class VideoLazyLoadResolver extends AbstractLazyLoadResolver<Video> {
    protected router: Router;
    private searchService;
    constructor(router: Router, searchService: SearchService);
    protected finder(url: string): import("rxjs").Observable<import("@shared/models/common").ResultList<Video>>;
    protected buildUrl(video: Video): string;
}
