import { EventEmitter, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
export declare class RegisterStepTermsComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    hasCodeOfConduct: boolean;
    minimumAge: number;
    formBuilt: EventEmitter<FormGroup>;
    termsClick: EventEmitter<void>;
    codeOfConductClick: EventEmitter<void>;
    constructor(formValidatorService: FormValidatorService);
    get instanceHost(): string;
    ngOnInit(): void;
    onTermsClick(event: Event): void;
    onCodeOfConductClick(event: Event): void;
}
