import { EventEmitter, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { UserService } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
export declare class RegisterStepUserComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private userService;
    videoUploadDisabled: boolean;
    formBuilt: EventEmitter<FormGroup>;
    constructor(formValidatorService: FormValidatorService, userService: UserService);
    get instanceHost(): string;
    ngOnInit(): void;
    private onDisplayNameChange;
}
