import { HotkeysService } from 'angular2-hotkeys';
import { EventEmitter, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { Notifier, ScreenService } from '@app/core';
import { VideoDetails, VideoService } from '@app/shared/shared-main';
import { UserVideoRateType } from '@shared/models';
export declare class VideoRateComponent implements OnInit, OnChanges, OnDestroy {
    private videoService;
    private notifier;
    private hotkeysService;
    private screenService;
    video: VideoDetails;
    isUserLoggedIn: boolean;
    userRatingLoaded: EventEmitter<UserVideoRateType>;
    rateUpdated: EventEmitter<UserVideoRateType>;
    userRating: UserVideoRateType;
    tooltipLike: string;
    tooltipDislike: string;
    private hotkeys;
    constructor(videoService: VideoService, notifier: Notifier, hotkeysService: HotkeysService, screenService: ScreenService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    setLike(): void;
    setDislike(): void;
    getRatePopoverText(): string;
    private checkUserRating;
    private setRating;
    private updateVideoRating;
}
