import { EventEmitter, OnChanges } from '@angular/core';
import { MarkdownService, Notifier } from '@app/core';
import { VideoDetails, VideoService } from '@app/shared/shared-main';
export declare class VideoDescriptionComponent implements OnChanges {
    private videoService;
    private notifier;
    private markdownService;
    video: VideoDetails;
    timestampClicked: EventEmitter<number>;
    descriptionLoading: boolean;
    completeDescriptionShown: boolean;
    completeVideoDescription: string;
    shortVideoDescription: string;
    videoHTMLDescription: string;
    constructor(videoService: VideoService, notifier: Notifier, markdownService: MarkdownService);
    ngOnChanges(): void;
    showMoreDescription(): void;
    showLessDescription(): void;
    loadCompleteDescription(): void;
    onTimestampClicked(timestamp: number): void;
    private updateVideoDescription;
    private setVideoDescriptionHTML;
}
