import { Subject } from 'rxjs';
declare type ConfirmOptions = {
    title: string;
    message: string;
    inputLabel?: string;
    expectedInputValue?: string;
    confirmButtonText?: string;
};
export declare class ConfirmService {
    showConfirm: Subject<ConfirmOptions>;
    confirmResponse: Subject<boolean>;
    confirm(message: string, title?: string, confirmButtonText?: string): Promise<boolean>;
    confirmWithInput(message: string, inputLabel: string, expectedInputValue: string, title?: string, confirmButtonText?: string): Promise<boolean>;
}
export {};
