import { Router } from '@angular/router';
import { HttpStatusCode, ResultList } from '@shared/models';
export declare class RestExtractor {
    private router;
    constructor(router: Router);
    extractDataBool(): boolean;
    applyToResultListData<T, A, U>(result: ResultList<T>, fun: (data: T, ...args: A[]) => U, additionalArgs?: A[]): ResultList<U>;
    convertResultListDateToHuman<T>(result: ResultList<T>, fieldsToConvert?: string[]): ResultList<T>;
    convertDateToHuman(target: any, fieldsToConvert: string[]): any;
    handleError(err: any): import("rxjs").Observable<never>;
    redirectTo404IfNotFound(obj: {
        status: number;
    }, type: 'video' | 'other', status?: HttpStatusCode[]): import("rxjs").Observable<never>;
}
