import { Router } from '@angular/router';
import { ServerService } from '../server';
export declare class RedirectService {
    private router;
    private serverService;
    static INIT_DEFAULT_ROUTE: string;
    static INIT_DEFAULT_TRENDING_ALGORITHM: string;
    private previousUrl;
    private currentUrl;
    private redirectingToHomepage;
    private defaultTrendingAlgorithm;
    private defaultRoute;
    constructor(router: Router, serverService: ServerService);
    getDefaultRoute(): string;
    getDefaultTrendingAlgorithm(): string;
    redirectToPreviousRoute(): void | Promise<boolean>;
    redirectToHomepage(skipLocationChange?: boolean): void;
}
