import { ActivatedRouteSnapshot, CanActivate, CanActivateChild, RouterStateSnapshot } from '@angular/router';
import { AuthService } from '../auth/auth.service';
import { RedirectService } from './redirect.service';
export declare class UnloggedGuard implements CanActivate, CanActivateChild {
    private auth;
    private redirectService;
    constructor(auth: AuthService, redirectService: RedirectService);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean;
    canActivateChild(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean;
}
