import { AuthService } from '../auth';
import { PluginService } from '../plugins/plugin.service';
import { ServerService } from '../server';
import { UserService } from '../users/user.service';
import { LocalStorageService } from '../wrappers/storage.service';
export declare class ThemeService {
    private auth;
    private userService;
    private pluginService;
    private server;
    private localStorageService;
    private oldThemeName;
    private themes;
    private themeFromLocalStorage;
    private themeDOMLinksFromLocalStorage;
    private serverConfig;
    constructor(auth: AuthService, userService: UserService, pluginService: PluginService, server: ServerService, localStorageService: LocalStorageService);
    initialize(): void;
    private injectThemes;
    private getCurrentTheme;
    private loadTheme;
    private updateCurrentTheme;
    private listenUserTheme;
    private loadAndSetFromLocalStorage;
    private removeThemePlugins;
    private removeThemeFromLocalStorageIfNeeded;
    private getHeadElement;
    private getTheme;
}
