export declare class ScreenService {
    isBroadcastMessageDisplayed: boolean;
    private windowInnerWidth;
    private lastFunctionCallTime;
    private cacheForMs;
    constructor();
    isInSmallView(marginLeft?: number): boolean;
    isInMediumView(): boolean;
    isInMobileView(): boolean;
    isInTouchScreen(): boolean;
    getNumberOfAvailableMiniatures(): number;
    getWindowInnerWidth(): number;
    onFingerSwipe(direction: 'left' | 'right' | 'up' | 'down', action: () => void, removeEventOnEnd?: boolean): void;
    private removeFingerSwipeEventListener;
    private refreshWindowInnerWidth;
    private cacheWindowInnerWidthExpired;
}
