import { ElementRef } from '@angular/core';
import { Notifier, ServerService, User, UserService } from '@app/core';
import { NgbModal, NgbModalRef } from '@ng-bootstrap/ng-bootstrap';
export declare class AccountSetupWarningModalComponent {
    private userService;
    private modalService;
    private notifier;
    private serverService;
    modal: ElementRef;
    stopDisplayModal: boolean;
    ref: NgbModalRef;
    user: User;
    private LOCAL_STORAGE_KEYS;
    constructor(userService: UserService, modalService: NgbModal, notifier: Notifier, serverService: ServerService);
    get instanceName(): string;
    hasAccountAvatar(user: User): boolean;
    hasAccountDescription(user: User): boolean;
    shouldOpen(user: User): boolean;
    show(user: User): void;
    private doNotOpenAgain;
}
