import { Location } from '@angular/common';
import { ElementRef } from '@angular/core';
import { Notifier, User, UserService } from '@app/core';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { About, ServerConfig } from '@shared/models/server';
export declare class InstanceConfigWarningModalComponent {
    private userService;
    private location;
    private modalService;
    private notifier;
    modal: ElementRef;
    stopDisplayModal: boolean;
    about: About;
    private LOCAL_STORAGE_KEYS;
    constructor(userService: UserService, location: Location, modalService: NgbModal, notifier: Notifier);
    shouldOpenByUser(user: User): boolean;
    shouldOpen(serverConfig: ServerConfig, about: About): boolean;
    show(about: About): void;
    isDefaultShortDescription(description: string): boolean;
    private doNotOpenAgain;
}
