import { EventEmitter, OnInit } from '@angular/core';
import { Notifier } from '@app/core';
import { FormReactive, FormValidatorService } from '@app/shared/shared-forms';
import { AbuseService } from '@app/shared/shared-moderation';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { AdminAbuse } from '@shared/models';
export declare class ModerationCommentModalComponent extends FormReactive implements OnInit {
    protected formValidatorService: FormValidatorService;
    private modalService;
    private notifier;
    private abuseService;
    modal: NgbModal;
    commentUpdated: EventEmitter<string>;
    private abuseToComment;
    private openedModal;
    constructor(formValidatorService: FormValidatorService, modalService: NgbModal, notifier: Notifier, abuseService: AbuseService);
    ngOnInit(): void;
    openModal(abuseToComment: AdminAbuse): void;
    hide(): void;
    banUser(): void;
}
