import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { Notifier, ServerService } from '@app/core';
import { Account, VideoChannel } from '@app/shared/shared-main';
import { NgbPopover } from '@ng-bootstrap/ng-bootstrap';
export declare class ActorAvatarEditComponent implements OnInit {
    private serverService;
    private notifier;
    avatarfileInput: ElementRef<HTMLInputElement>;
    avatarPopover: NgbPopover;
    actor: VideoChannel | Account;
    editable: boolean;
    displaySubscribers: boolean;
    displayUsername: boolean;
    previewImage: boolean;
    avatarChange: EventEmitter<FormData>;
    avatarDelete: EventEmitter<void>;
    avatarFormat: string;
    maxAvatarSize: number;
    avatarExtensions: string;
    preview: string;
    constructor(serverService: ServerService, notifier: Notifier);
    ngOnInit(): void;
    onAvatarChange(input: HTMLInputElement): void;
    deleteAvatar(): void;
    hasAvatar(): boolean;
    isChannel(): boolean;
    getChannel(): VideoChannel;
    getAccount(): Account;
}
