import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { SafeResourceUrl } from '@angular/platform-browser';
import { Notifier, ServerService } from '@app/core';
import { VideoChannel } from '@app/shared/shared-main';
import { NgbPopover } from '@ng-bootstrap/ng-bootstrap';
export declare class ActorBannerEditComponent implements OnInit {
    private serverService;
    private notifier;
    bannerfileInput: ElementRef<HTMLInputElement>;
    bannerPopover: NgbPopover;
    actor: VideoChannel;
    previewImage: boolean;
    bannerChange: EventEmitter<FormData>;
    bannerDelete: EventEmitter<void>;
    bannerFormat: string;
    maxBannerSize: number;
    bannerExtensions: string;
    preview: SafeResourceUrl;
    constructor(serverService: ServerService, notifier: Notifier);
    ngOnInit(): void;
    onBannerChange(input: HTMLInputElement): void;
    deleteBanner(): void;
    hasBanner(): boolean;
}
