import { EventEmitter, OnInit } from '@angular/core';
import { MarkdownService, Notifier, UserService } from '@app/core';
import { FindInBulkService } from '@app/shared/shared-search';
import { Video, VideoChannel, VideoService } from '../../shared-main';
import { CustomMarkupComponent } from './shared';
export declare class ChannelMiniatureMarkupComponent implements CustomMarkupComponent, OnInit {
    private markdown;
    private findInBulk;
    private videoService;
    private userService;
    private notifier;
    name: string;
    displayLatestVideo: boolean;
    displayDescription: boolean;
    loaded: EventEmitter<boolean>;
    channel: VideoChannel;
    descriptionHTML: string;
    totalVideos: number;
    video: Video;
    constructor(markdown: MarkdownService, findInBulk: FindInBulkService, videoService: VideoService, userService: UserService, notifier: Notifier);
    ngOnInit(): void;
    getVideoChannelLink(): string[];
    private loadVideosObservable;
}
