import { EventEmitter, OnInit } from '@angular/core';
import { AuthService, Notifier } from '@app/core';
import { FindInBulkService } from '@app/shared/shared-search';
import { Video } from '../../shared-main';
import { MiniatureDisplayOptions } from '../../shared-video-miniature';
import { CustomMarkupComponent } from './shared';
export declare class VideoMiniatureMarkupComponent implements CustomMarkupComponent, OnInit {
    private auth;
    private findInBulk;
    private notifier;
    uuid: string;
    onlyDisplayTitle: boolean;
    video: Video;
    loaded: EventEmitter<boolean>;
    displayOptions: MiniatureDisplayOptions;
    constructor(auth: AuthService, findInBulk: FindInBulkService, notifier: Notifier);
    getUser(): import("@app/core").AuthUser;
    ngOnInit(): void;
}
