import { FormBuilder, FormGroup } from '@angular/forms';
import { BuildFormArgument, BuildFormDefaultValues } from '../form-validators/form-validator.model';
import { FormReactiveErrors, FormReactiveValidationMessages } from './form-reactive';
export declare class FormValidatorService {
    private formBuilder;
    constructor(formBuilder: FormBuilder);
    buildForm(obj: BuildFormArgument, defaultValues?: BuildFormDefaultValues): {
        form: FormGroup;
        formErrors: FormReactiveErrors;
        validationMessages: FormReactiveValidationMessages;
    };
    updateForm(form: FormGroup, formErrors: FormReactiveErrors, validationMessages: FormReactiveValidationMessages, obj: BuildFormArgument, defaultValues?: BuildFormDefaultValues): void;
    private isRecursiveField;
}
