import { ControlValueAccessor } from '@angular/forms';
import { Notifier } from '@app/core';
export declare class InputToggleHiddenComponent implements ControlValueAccessor {
    private notifier;
    inputId: string;
    value: string;
    autocomplete: string;
    placeholder: string;
    tabindex: number;
    withToggle: boolean;
    withCopy: boolean;
    readonly: boolean;
    show: boolean;
    constructor(notifier: Notifier);
    get inputType(): "text" | "password";
    get toggleTitle(): string;
    toggle(): void;
    activateCopiedMessage(): void;
    propagateChange: (_: any) => void;
    writeValue(value: string): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
    update(): void;
}
