import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Notifier } from '@app/core';
import { GlobalIconName } from '@app/shared/shared-icons';
export declare class ReactiveFileComponent implements OnInit, ControlValueAccessor {
    private notifier;
    inputLabel: string;
    inputName: string;
    extensions: string[];
    maxFileSize: number;
    displayFilename: boolean;
    icon: GlobalIconName;
    fileChanged: EventEmitter<Blob>;
    allowedExtensionsMessage: string;
    fileInputValue: any;
    private file;
    constructor(notifier: Notifier);
    get filename(): string;
    ngOnInit(): void;
    fileChange(event: any): void;
    propagateChange: (_: any) => void;
    writeValue(file: any): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
}
