import { OnChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SelectChannelItem } from '../../../../types/select-options-item.model';
export declare class SelectChannelComponent implements ControlValueAccessor, OnChanges {
    items: SelectChannelItem[];
    channels: SelectChannelItem[];
    selectedId: number;
    bindLabel: string;
    bindValue: string;
    clearable: boolean;
    searchable: boolean;
    ngOnChanges(): void;
    propagateChange: (_: any) => void;
    writeValue(id: number): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
    onModelChange(): void;
}
