import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SelectOptionsItem } from '../../../../types/select-options-item.model';
export declare type ItemSelectCheckboxValue = {
    id?: string;
    group?: string;
} | string;
export declare class SelectCheckboxComponent implements OnInit, ControlValueAccessor {
    availableItems: SelectOptionsItem[];
    selectedItems: ItemSelectCheckboxValue[];
    selectableGroup: boolean;
    selectableGroupAsModel: boolean;
    placeholder: string;
    disabled: boolean;
    ngOnInit(): void;
    propagateChange: (_: any) => void;
    writeValue(items: ItemSelectCheckboxValue[]): void;
    registerOnChange(fn: (_: any) => void): void;
    registerOnTouched(): void;
    onModelChange(): void;
    setDisabledState(isDisabled: boolean): void;
    compareFn(item: SelectOptionsItem, selected: ItemSelectCheckboxValue): boolean;
}
