import { EventEmitter, OnInit } from '@angular/core';
import { NgbAccordion } from '@ng-bootstrap/ng-bootstrap';
import { InstanceService } from './instance.service';
import { Notifier } from '@app/core';
import { About } from '@shared/models/server';
export declare class InstanceAboutAccordionComponent implements OnInit {
    private instanceService;
    private notifier;
    accordion: NgbAccordion;
    init: EventEmitter<InstanceAboutAccordionComponent>;
    panels: {
        features: boolean;
        administrators: boolean;
        moderation: boolean;
        codeOfConduct: boolean;
        terms: boolean;
    };
    about: About;
    aboutHtml: {
        terms: string;
        codeOfConduct: string;
        moderationInformation: string;
        administrator: string;
    };
    constructor(instanceService: InstanceService, notifier: Notifier);
    ngOnInit(): void;
    getAdministratorsPanel(): boolean;
    get moderationPanel(): boolean;
    get codeOfConductPanel(): boolean;
    get termsPanel(): boolean;
}
