import { OnInit } from '@angular/core';
import { ServerService } from '@app/core';
import { ServerConfig } from '@shared/models';
import { PeertubeModalService } from '../shared-main/peertube-modal/peertube-modal.service';
export declare class InstanceFeaturesTableComponent implements OnInit {
    private serverService;
    private modalService;
    quotaHelpIndication: string;
    serverConfig: ServerConfig;
    constructor(serverService: ServerService, modalService: PeertubeModalService);
    get initialUserVideoQuota(): number;
    get dailyUserVideoQuota(): number;
    get maxInstanceLives(): string | number;
    get maxUserLives(): string | number;
    ngOnInit(): void;
    buildNSFWLabel(): string;
    getServerVersionAndCommit(): string;
    openQuickSettingsHighlight(): void;
    private getApproximateTime;
    private buildQuotaHelpIndication;
}
