import { Observable, ReplaySubject } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { RestExtractor } from '@app/core';
import { Account } from './account.model';
export declare class AccountService {
    private authHttp;
    private restExtractor;
    static BASE_ACCOUNT_URL: string;
    accountLoaded: ReplaySubject<Account>;
    constructor(authHttp: HttpClient, restExtractor: RestExtractor);
    getAccount(id: number | string): Observable<Account>;
}
