import { PipeTransform } from '@angular/core';
export declare class NumberFormatterPipe implements PipeTransform {
    private localeId;
    /**
     * @param x number
     * @param n number of decimals to get (defaults to 1, needs to be >= 1)
     */
    static getDecimalForNumber(x: number, n?: number): number;
    private dictionary;
    constructor(localeId: string);
    transform(value: number): string;
}
