import { AfterContentInit, OnChanges, OnInit, QueryList, TemplateRef } from '@angular/core';
import { GlobalIconName } from '@app/shared/shared-icons';
import { PeerTubeTemplateDirective } from '../angular';
export declare class HelpComponent implements OnInit, OnChanges, AfterContentInit {
    helpType: 'custom' | 'markdownText' | 'markdownEnhanced';
    tooltipPlacement: string;
    iconName: GlobalIconName;
    title: string;
    autoClose: string;
    templates: QueryList<PeerTubeTemplateDirective<'preHtml' | 'customHtml' | 'postHtml'>>;
    isPopoverOpened: boolean;
    mainHtml: string;
    preHtmlTemplate: TemplateRef<any>;
    customHtmlTemplate: TemplateRef<any>;
    postHtmlTemplate: TemplateRef<any>;
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnChanges(): void;
    onPopoverHidden(): void;
    onPopoverShown(): void;
    private init;
    private formatMarkdownSupport;
    private createMarkdownList;
}
