import { ElementRef, EventEmitter, OnInit } from '@angular/core';
export declare class SimpleSearchInputComponent implements OnInit {
    input: ElementRef;
    name: string;
    placeholder: string;
    iconTitle: string;
    alwaysShow: boolean;
    searchChanged: EventEmitter<string>;
    inputDisplayChanged: EventEmitter<boolean>;
    value: string;
    inputShown: boolean;
    private hasAlreadySentSearch;
    ngOnInit(): void;
    isInputShown(): boolean;
    onIconClick(): void;
    showInput(focus?: boolean): void;
    hideInput(): void;
    focusLost(): void;
    sendSearch(): void;
    onResetFilter(): void;
}
