import { HttpClient } from '@angular/common/http';
import { ComponentPaginationLight, RestExtractor, RestService } from '@app/core';
import { Video } from '../video/video.model';
import { VideoService } from '../video/video.service';
export declare class UserHistoryService {
    private authHttp;
    private restExtractor;
    private restService;
    private videoService;
    static BASE_USER_VIDEOS_HISTORY_URL: string;
    constructor(authHttp: HttpClient, restExtractor: RestExtractor, restService: RestService, videoService: VideoService);
    getUserVideosHistory(historyPagination: ComponentPaginationLight, search?: string): import("rxjs").Observable<{
        total: number;
        data: Video[];
    }>;
    deleteUserVideosHistory(): import("rxjs").Observable<boolean>;
}
