import { Subject } from 'rxjs';
import { OnInit } from '@angular/core';
import { User, UserService } from '@app/core';
export declare class UserQuotaComponent implements OnInit {
    private userService;
    user: User;
    userInformationLoaded: Subject<any>;
    userVideoQuota: string;
    userVideoQuotaUsed: number;
    userVideoQuotaPercentage: number;
    userVideoQuotaDaily: string;
    userVideoQuotaUsedDaily: number;
    userVideoQuotaDailyPercentage: number;
    constructor(userService: UserService);
    ngOnInit(): void;
    hasDailyQuota(): boolean;
    titleVideoQuota(): string;
    titleVideoQuotaDaily(): string;
}
