import { Observable } from 'rxjs';
import { Video, VideoChannel } from '../shared-main';
import { VideoPlaylist } from '../shared-video-playlist';
import { SearchService } from './search.service';
export declare class FindInBulkService {
    private searchService;
    private getVideoInBulk;
    private getChannelInBulk;
    private getPlaylistInBulk;
    constructor(searchService: SearchService);
    getVideo(uuid: string): Observable<Video>;
    getChannel(handle: string): Observable<VideoChannel>;
    getPlaylist(uuid: string): Observable<VideoPlaylist>;
    private getData;
    private getVideosInBulk;
    private getChannelsInBulk;
    private getPlaylistsInBulk;
    private buildBulkObservableObject;
}
