import { EventEmitter } from '@angular/core';
import { ScreenService } from '@app/core';
import { Video } from '../shared-main';
export declare class VideoThumbnailComponent {
    private screenService;
    video: Video;
    nsfw: boolean;
    videoRouterLink: string | any[];
    queryParams: {
        [p: string]: any;
    };
    videoHref: string;
    videoTarget: string;
    displayWatchLaterPlaylist: boolean;
    inWatchLaterPlaylist: boolean;
    watchLaterClick: EventEmitter<boolean>;
    addToWatchLaterText: string;
    addedToWatchLaterText: string;
    constructor(screenService: ScreenService);
    isLiveEnded(): boolean;
    getImageUrl(): string;
    getProgressPercent(): number;
    getVideoRouterLink(): string | any[];
    onWatchLaterClick(event: Event): boolean;
}
