import { Video } from '@app/shared/shared-main';
import { VideoPlaylistElement as ServerVideoPlaylistElement, VideoPlaylistElementType } from '@shared/models';
export declare class VideoPlaylistElement implements ServerVideoPlaylistElement {
    id: number;
    position: number;
    startTimestamp: number;
    stopTimestamp: number;
    type: VideoPlaylistElementType;
    video?: Video;
    constructor(hash: ServerVideoPlaylistElement, translations?: {
        [id: string]: string;
    });
}
