import { LinkType } from 'src/types/link.type';
import { OnInit } from '@angular/core';
import { VideoPlaylist } from './video-playlist.model';
import { MarkdownService } from '@app/core';
export declare class VideoPlaylistMiniatureComponent implements OnInit {
    private markdownService;
    playlist: VideoPlaylist;
    toManage: boolean;
    displayChannel: boolean;
    displayDescription: boolean;
    displayPrivacy: boolean;
    displayAsRow: boolean;
    linkType: LinkType;
    routerLink: any;
    playlistHref: string;
    playlistTarget: string;
    playlistDescription: string;
    constructor(markdownService: MarkdownService);
    ngOnInit(): Promise<void>;
    buildPlaylistUrl(): void;
}
