import { VideoFile } from '@shared/models';
declare function toTitleCase(str: string): string;
declare function isWebRTCDisabled(): boolean;
declare function isIOS(): boolean;
declare function isSafari(): boolean;
declare function bytes(value: number): string[];
declare function isMobile(): boolean;
declare function buildVideoOrPlaylistEmbed(embedUrl: string, embedTitle: string): string;
declare function videoFileMaxByResolution(files: VideoFile[]): VideoFile;
declare function videoFileMinByResolution(files: VideoFile[]): VideoFile;
declare function getRtcConfig(): {
    iceServers: {
        urls: string;
    }[];
};
export { getRtcConfig, toTitleCase, isWebRTCDisabled, buildVideoOrPlaylistEmbed, videoFileMaxByResolution, videoFileMinByResolution, isMobile, bytes, isIOS, isSafari };
