import videojs from 'video.js';
declare const MenuItem: {
    new (player: import("video.js").VideoJsPlayer, options?: videojs.MenuItemOptions): videojs.MenuItem;
    prototype: videojs.MenuItem;
};
export interface ResolutionMenuItemOptions extends videojs.MenuItemOptions {
    id: number;
}
declare class ResolutionMenuItem extends MenuItem {
    private readonly resolutionId;
    private readonly label;
    private autoResolutionEnabled;
    private autoResolutionChosen;
    constructor(player: videojs.Player, options?: ResolutionMenuItemOptions);
    handleClick(event: any): void;
    updateSelection(): void;
    updateAutoResolution(): void;
    getLabel(): string;
}
export { ResolutionMenuItem };
