import { NSFWPolicyType, UserRole } from '@shared/models';
declare function getUserInfoFromLocalStorage(): {
    id: number;
    username: string;
    email: string;
    role: UserRole;
    nsfwPolicy: NSFWPolicyType;
    webTorrentEnabled: boolean;
    autoPlayVideo: boolean;
    videosHistoryEnabled: boolean;
};
declare function flushUserInfoFromLocalStorage(): void;
declare function saveUserInfoIntoLocalStorage(info: {
    id: number;
    username: string;
    email: string;
    role: UserRole;
    nsfwPolicy: NSFWPolicyType;
    webTorrentEnabled: boolean;
    autoPlayVideo: boolean;
}): void;
export { getUserInfoFromLocalStorage, saveUserInfoIntoLocalStorage, flushUserInfoFromLocalStorage };
