export declare type EventHandler<T> = (ev: T) => void;
export declare type PlayerEventType = 'pause' | 'play' | 'playbackStatusUpdate' | 'playbackStatusChange' | 'resolutionUpdate' | 'volumeChange';
export interface PeerTubeResolution {
    id: any;
    label: string;
    active: boolean;
    height: number;
    src?: string;
    width?: number;
}
export declare type PeerTubeTextTrack = {
    id: string;
    label: string;
    src: string;
    mode: TextTrackMode;
};
