import './embed.scss';
import { PeerTubeEmbed } from './embed';
/**
 * Embed API exposes control of the embed player to the outside world via
 * JSChannels and window.postMessage
 */
export declare class PeerTubeEmbedApi {
    private readonly embed;
    private channel;
    private isReady;
    private resolutions;
    constructor(embed: PeerTubeEmbed);
    initialize(): void;
    private get element();
    private constructChannel;
    private setResolution;
    private getCaptions;
    private setCaption;
    /**
     * Let the host know that we're ready to go!
     */
    private notifyReady;
    private setupStateTracking;
    private loadResolutions;
    private isWebtorrent;
}
